world/hub = "Kujila.AnimeOffensive"


mob/Logout()
	world << "<i>--[usr] has logged out--"
mob/Login()
	usr.life = 15
	sleep(10)
	usr.loc = locate(2,2,1)
	usr.sample_report()
	if(usr.dballs == null)
		usr.dballs = 0
	usr.nomove = 0
	usr.lock = 0
	if(src.key == "Kujila")
		src.contents += new /obj/gmcommands
		world << "<font color=green><b><i>***[usr] the Admin has logged in!***"
	else
		world << "<font color=red><b>**[usr] has logged in**"
	usr << sound('world1.mid',1,0)
	switch(input("From what thing?", "Icon Choice", text) in list ("Dragon Ball", "Square Soft","Kirby","Zelda","Pokemon"))
		if("Pokemon")
			switch(input("Which character's icon do you want to use for your character?", "Icon Choice", text) in list ("Player (Ash)","Rocket","Rocket Girl"))
				if("Player (Ash)")
					usr.icon = 'poke.dmi'
					usr.icon_state = "right"
				if("Rocket")
					usr.icon = 'rocket.dmi'
					usr.icon_state = "right"
				if("Rocket Girl")
					usr.icon = 'rocket2.dmi'
					usr.icon_state = "right"
		if("Kirby")
			usr.icon = 'kirby.dmi'
			usr.icon_state = "right"
		if("Zelda")
			usr.icon = 'link.dmi'
			usr.icon_state = "right"
		if("Square Soft")
			switch(input("Which character's icon do you want to use for your character?", "Icon Choice", text) in list ("Cloud Strife","Crono","Mog","Terra","Celes","Chocobo","Marle"))

				if("Cloud Strife")
					usr.icon = 'cloud.dmi'
					usr.icon_state = "right"

				if("Crono")
					usr.icon = 'crono.dmi'
					usr.icon_state = "right"
				if("Mog")
					usr.icon = 'moogle.dmi'
					usr.icon_state = "right"
				if("Terra")
					usr.icon = 'terra.dmi'
					usr.icon_state = "right"
				if("Celes")
					usr.icon = 'celes.dmi'
					usr.icon_state = "right"
				if("Chocobo")
					usr.icon = 'choco.dmi'
					usr.icon_state = "right"
				if("Marle")
					usr.icon = 'marle.dmi'
					usr.icon_state = "right"
		if("Dragon Ball")
			switch(input("Which character's icon do you want to use for your character?", "Icon Choice", text) in list ("Goku", "Chi Chi", "Chouzu", "SSJ Vegeta","Future Trunks", "SSJ Future Trunks","Dabura","Tien-shanhan"))
				if("Goku")
					switch(alert(usr,"Which Goku do you want?","Icon Choice","Goku from NN","Goku from MM (Zeta)"))
						if("Goku from NN")
							usr.icon = 'goku.dmi'
							usr.icon_state = "right"
						if("Goku from MM (Zeta)")
							usr.icon = 'ssjgoku.dmi'
							usr.icon_state = "right"
				if("Chi Chi")
					usr.icon = 'chichi.dmi'
					usr.icon_state = "right"
				if("Chouzu")
					usr.icon = 'chouzu.dmi'
					usr.icon_state = "right"

				if("SSJ Vegeta")
					usr.icon = 'ssjvegeta.dmi'
					usr.icon_state = "right"
				if("Future Trunks")
					usr.icon = 'trunks.dmi'
					usr.icon_state = "right"
				if("SSJ Future Trunks")
					usr.icon = 'ssjtrunks.dmi'
					usr.icon_state = "right"
				if("Dabura")
					usr.icon = 'dabura.dmi'
					usr.icon_state = "right"
				if("Tien-shanhan")
					usr.icon = 'tienshanhan.dmi'
					usr.icon_state = "right"







mob
	proc
		repop()
			spawn(50) usr.delayer = 0
			spawn(50) usr.lock = 0
			spawn(50) usr.repop()


world
	name = "Anime Offensive (Version Alpha 2)"
	status = "Version Alpha 2"





client/Del()
	if (istype(src.mob, /mob/other/choosing_character))
		return ..()


	return ..()


mob/other/choosing_character
	Login()
		usr.loc=locate(10,10,10)
		spawn()
			src.ChooseCharacter()

	proc
		ChooseCharacter()
			var/list/characters = src.CharacterList()

			var/newCharacterChoice = "==New Game=="
			var/DeleteCharacterChoice = "==Delete Game=="
			var/list/menu = new()
			menu += characters
			menu += newCharacterChoice
			menu += DeleteCharacterChoice

			var/result = input("Game Startup", "Dragonball Offensive") in menu

			if (result == newCharacterChoice)
				src.CreateNewCharacter()
			if (result == DeleteCharacterChoice)
				src.DeleteCharacter()
				src.ChooseCharacter()






		CharacterList()
			var/savefile/F = new("players.sav")
			F.cd = "/[ckey]"
			var/list/characters = F.dir
			return characters

		DeleteCharacter()
			var/savefile/F = new("players.sav")

			F.cd = "/[ckey]"
			var/list/characters = F.dir

			var/CancelCharacterDeletion = "Decline"
			var/list/menu = new()
			menu += characters
			menu += CancelCharacterDeletion

			var/result = input("==Delete Game==", "Game Startup") in menu

			if (result)
				F.cd = "/[ckey]"
				F.dir.Remove(result)
			if (result == CancelCharacterDeletion)
				src.ChooseCharacter()
			else
				src.ChooseCharacter()

mob/other/choosing_character/proc/CreateNewCharacter()

	var/prompt_title = "Game Startup"
	var/help_text = "What is your name?"
	var/default_value = ""
	var/char_name = input(src, help_text, prompt_title, default_value) as null|text

	if (!char_name)
		src.ChooseCharacter()
		return

	var/ckey_name = ckey(char_name)
	var/list/characters = CharacterList()
	if (characters.Find(ckey_name))
		alert("Nope")
		src.CreateNewCharacter()
		return

	help_text = "What character's icon do you wish to use?"
	var/list/races = list("Goku")
	default_value = "Goku"
	var/char_race = input(src, help_text, prompt_title, default_value) in races
	var/mob/new_mob
	switch(char_race)
		if("Goku")
			usr.icon = 'ssjgoku.dmi'

	new_mob.name = char_name
	src.client.mob = new_mob
	var/turf/first_location = locate(21,9,1)
	new_mob.loc = first_location
	del(src)

mob
	proc
		sample_report()
			src << "<b>Welcome to Anime Offensive!"
			usr << browse("<body bgcolor=black><font color=yellow><center><b><hr><hr>VERSION ALPHA 2</b><br><i><hr>NFixed the Cloud/Crono bug...<hr>Trying to add more characters and levels!  If you have a character from a game/show/movie, contact me (Kujila) and we'll see if I can put it in!  Thnx!<hr>ENJOY")

