obj
	gmcommands
		verb
			Play_File(poop as sound)
				set category = "GM"
				switch(alert(usr,"Looping?","Sound Check","Hai","No"))
					if("Hai")
						world << sound(poop,1,0)
					if("No")
						world << sound(poop,0,0)
			Inform(msg as text)
				set category = "GM"
				world << "<font face = Arial><u>INFO</u>:<font face = New Times Roman><font color = red> [msg]"


			Admin_Who()
				set desc = "() Report to all people Connected"
				set category = "GM"
				var/mob/M
				for(M in world)
					if(!M.key) continue //skip NPCs
					if(M.name == M.key) usr << M.name
					else usr << "[M.name] ([M.key])"
			Delete(obj/O in oview(6))
				set category = "GM"
				del(O)



			Special_Announce(message as message)//this is too make a special announcement
				set category = "GM"
				set name = "GM Announce"
				set desc = "(message) Announce something to all players logged in"
				for(var/client/C)
					C.mob << "<hr><center><font color=red><b><font size='+1'> GM [usr] would like to announce:<br></font>\blue [message]</center><hr>"
			AdminTeleport(M as mob in world)//this will teleport you to any mob on the server including the ones you coded in
				set category = "GM"
				set name="GM Teleport"
				usr.x = M:x
				usr.y = M:y-1
				usr.z = M:z
				usr << "You go infront of [M]"
				view(6) << "<b>[usr] jumps out of your pocket!!"
			Create()
				set category = "GM"
				var/meeb= input("What do you want to make?","Uh-Mee-Bah") in typesof(/mob,/obj)
				new meeb(locate(usr.x,usr.y-1,usr.z))
				switch(input("Wish to COLORIZE?", "Colorize") in list ("Yes","No"))
					if("Yes")
						meeb += rgb(rand(1,255),rand(1,255),rand(1,255))
				view(6) << "[usr] creates a [meeb:name]!"

			Summon(mob/characters/M in world)
				set category = "GM"
				src << "<b>Officer [usr] has summoned you."
				src:loc = usr.loc
				src:y -= 1
			Edit(obj/O as obj|mob|turf|area in view())
				set category = "GM"
				set desc="(target) Edit a target item's variables"
				var/variable = input("Which var?","Var") in O.vars
				var/default
				var/typeof = O.vars[variable]
				var/dir
				if(isnull(typeof))
					usr << "Unable to determine variable type."
				else if(isnum(typeof))
					usr << "Variable appears to be <b>NUM</b>."
					default = "num"
					dir = 1

				else if(istext(typeof))
					usr << "Variable appears to be <b>TEXT</b>."
					default = "text"
				else if(isloc(typeof))
					usr << "Variable appears to be <b>REFERENCE</b>."
					default = "reference"
				else if(isicon(typeof))
					usr << "Variable appears to be <b>ICON</b>."
					typeof = "\icon[typeof]"
					default = "icon"
				else if(istype(typeof,/atom) || istype(typeof,/datum))
					usr << "Variable appears to be <b>TYPE</b>."
					default = "type"
				else if(istype(typeof,/list))
					usr << "Variable appears to be <b>LIST</b>."
					default = "cancel"
				else if(istype(typeof,/client))
					usr << "Variable appears to be <b>CLIENT</b>."
					default = "cancel"
				else
					usr << "Variable appears to be <b>FILE</b>."
					default = "file"
				usr << "Variable contains: [typeof]"
				if(dir)
					switch(typeof)
						if(1)
							dir = "NORTH"
						if(2)
							dir = "SOUTH"
						if(4)
							dir = "EAST"
						if(8)
							dir = "WEST"
						if(5)
							dir = "NORTHEAST"
						if(6)
							dir = "SOUTHEAST"
						if(9)
							dir = "NORTHWEST"
						if(10)
							dir = "SOUTHWEST"
						else
							dir = null
					if(dir)
						usr << "If a direction, direction is: [dir]"

				var/class = input("What kind of variable?","Variable Type",default) in list("text",
					"num","type","reference","icon","file","restore to default","cancel")

				switch(class)
					if("cancel")
						return
					if("restore to default")
						O.vars[variable] = initial(O.vars[variable])

					if("text")
						O.vars[variable] = input("Enter new text:","Text",\
							O.vars[variable]) as text

					if("num")
						O.vars[variable] = input("Enter new number:","Num",\
							O.vars[variable]) as num

					if("type")
						O.vars[variable] = input("Enter type:","Type",O.vars[variable]) \
							in typesof(/obj,/mob,/area,/turf)

					if("reference")
						O.vars[variable] = input("Select reference:","Reference",\
							O.vars[variable]) as mob|obj|turf|area in world

					if("file")
						O.vars[variable] = input("Pick file:","File",O.vars[variable]) \
							as file

					if("icon")
						O.vars[variable] = input("Pick icon:","Icon",O.vars[variable]) \
							as icon


			Rename(mob/M as mob in world, ID as text)
				set category="GM"
				set desc="Change A Mob's ID"
				M.name=ID

			Edit_Contents(obj/O as obj|mob|turf|area in world)
				set category = "GM"
				set desc="(target) Edit a target contents variables"
				var/variable = input("Which var?","Var") in O.vars
				var/default
				var/typeof = O.vars[variable]
				var/dir
				if(isnull(typeof))
					usr << "Unable to determine variable type."
				else if(isnum(typeof))
					usr << "Variable appears to be <b>NUM</b>."
					default = "num"
					dir = 1

				else if(istext(typeof))
					usr << "Variable appears to be <b>TEXT</b>."
					default = "text"
				else if(isloc(typeof))
					usr << "Variable appears to be <b>REFERENCE</b>."
					default = "reference"
				else if(isicon(typeof))
					usr << "Variable appears to be <b>ICON</b>."
					typeof = "\icon[typeof]"
					default = "icon"
				else if(istype(typeof,/atom) || istype(typeof,/datum))
					usr << "Variable appears to be <b>TYPE</b>."
					default = "type"
				else if(istype(typeof,/list))
					usr << "Variable appears to be <b>LIST</b>."
					default = "cancel"
				else if(istype(typeof,/client))
					usr << "Variable appears to be <b>CLIENT</b>."
					default = "cancel"
				else
					usr << "Variable appears to be <b>FILE</b>."
					default = "file"
				usr << "Variable contains: [typeof]"
				if(dir)
					switch(typeof)
						if(1)
							dir = "NORTH"
						if(2)
							dir = "SOUTH"
						if(4)
							dir = "EAST"
						if(8)
							dir = "WEST"
						if(5)
							dir = "NORTHEAST"
						if(6)
							dir = "SOUTHEAST"
						if(9)
							dir = "NORTHWEST"
						if(10)
							dir = "SOUTHWEST"
						else
							dir = null
					if(dir)
						usr << "If a direction, direction is: [dir]"

				var/class = input("What kind of variable?","Variable Type",default) in list("text",
					"num","type","reference","icon","file","restore to default","cancel")

				switch(class)
					if("cancel")
						return
					if("restore to default")
						O.vars[variable] = initial(O.vars[variable])

					if("text")
						O.vars[variable] = input("Enter new text:","Text",\
							O.vars[variable]) as text

					if("num")
						O.vars[variable] = input("Enter new number:","Num",\
							O.vars[variable]) as num

					if("type")
						O.vars[variable] = input("Enter type:","Type",O.vars[variable]) \
							in typesof(/obj,/mob,/area,/turf)

					if("reference")
						O.vars[variable] = input("Select reference:","Reference",\
							O.vars[variable]) as mob|obj|turf|area in world

					if("file")
						O.vars[variable] = input("Pick file:","File",O.vars[variable]) \
							as file

					if("icon")
						O.vars[variable] = input("Pick icon:","Icon",O.vars[variable]) \
							as icon
			SetGrav(N as num)  // Simple enough.
				set category = "Debugging"
				gravity = N
			SetFallType()
				set category = "Debugging"
				fall_type = input("Input fall_type") in list(0, 1)