

mob
	var
		nomove = 0
		hoho
		dballs
		delayer





mob
	proc
		Hit()
			src.life -= 1
			if(src.life <= 0)    // Getting hit, and dieing.
				src << "You died!"
				src.loc = locate(2, 2, 1)
				src.life = 10

obj
	laser       // The laser object is for when you Shoot. It's the actual projectile.
		name = "KI Blast"
		icon = 'laser.dmi'
		icon_state = "left"
		density = 1   // It needs to be dense to Bump things.
		Bump(M)
			if(istype(M, /mob))
				M:Hit()    // Whenever it Bumps something, it hurts it (if its a mob) and deletes itself.
			sleep(1)    // Add a tenth of a second for a better visual effect.
			del(src)
		proc
			BlastMove()    // This is how it moves, depending on it's icon_state.
				var/turf/aturf
				if(src.icon_state == "right")     // If you're faced right...
					aturf = locate(src.x + 1, src.y, 1)   // go right.
				if(src.icon_state == "left")      // If you're faced left...
					aturf = locate(src.x - 1, src.y, 1)   // go left.
				if(aturf == null)     // If the spot it's going to is not really there, then we want it to delete itself.
					del(src)
					return
				src.Move(aturf)
				spawn(1) src.BlastMove()
				// The way it moves is actually somewhat interesting,
				// since you could change it's movement by simply changing its icon_state.
mob
	verb
		Who()
			set desc = "Report all people Connected"
			set category = "Communication"
			var/mob/M
			for(M in world)
				if(!M.key) continue //skip NPCs
				if(M.name == M.key) usr << M.name
				else usr << "[M.name] ([M.key])"
		Say(turd as text)
			set desc = "Send a text message to the whole world"
			set category = "Communication"
			if(src.key == "Kujila")
				world << "<b><font color=blue>[usr]:<font color=red> [turd]"
			else
				world << "<b>[usr]:</b> [turd]"

		Emote(turd as text)
			set desc = "Send an action to the whole world"
			set category = "Communication"
			world << "<b><i><font color=blue>-*[usr] [turd]*-"

		Shoot()
			set name = "KI Shot"
			set desc = "Fire a small KI prjectile"    // For shooting off your harming projectiles. Keep out of reach of children.
			if(usr.delayer == 0||usr.delayer == null)    // A simple delay to keep you from macroing it tons.
				usr.delayer = 1     // You could lengthen or shorten the delay simply by raising or lowering the mob's delay variable.
				var/obj/laser/S    // Make a new instance of a laser (but don't actually create it, yet)
				if(src.icon_state == "right")
					S = new /obj/laser(locate(src.x + 1, src.y, src.z))    // Create it to your right if you're faced right.
					S.icon_state = "right"    // Set it's state (important not only for proper glitz, but for movement),
				else if(src.icon_state == "left")
					S = new /obj/laser(locate(src.x - 1, src.y, src.z))    // Create it to your left if you're faced left.
					S.icon_state = "left"
				var/turf/aturf = locate(S.x, S.y, S.z)     // Get the turf where it's at.
				for(var/atom/A in aturf)
					if(A.density == 1 && A != S)    // If there's anything there, hurt it (if it's a mob), and delete the laser.
						if(istype(A, /mob))
							A:Hit()
						del(S)
						return
				if(aturf.density == 1)   // Make sure the turf also isn't dense.
					del(S)
					return
				spawn(5) usr.delayer = 0
				spawn(1) S.BlastMove()    // Start your movement thing.

/*
Side-Scrolling Demo
By Cinnom
This demo is intended for those that are well seasoned in BYOND coding.
It isn't advised that you use this if you don't understand how a Say verb functions.

This demo shows how one might go about making a side-scroller game.
As of version 2, it even includes a simple battle system.

Disclaimer:
No real disclaimer. Use this however you want to, you don't even need to give me any credit.
Just don't make an exact (or near exact) copy of this and upload it as a demo (duh).
*/

var/gravity = 2 // This single variable controls the gravity of the world.
				// The higher it is, the less gravity there is.
				// The lower it is, the more gravity there is.
var/fall_type = 1 // This determines which falling mode you use.
				  // If this is 1, it will check for dense objects below you, and not even try to go down if there are any.
				  // If this is 0, it will just keep going down over dense objects (causing nothing except Bump() to occur).

world

	area = /area/BG  // It makes it easier for you to set the world's area to your BG, so you never have to put it on the map.

client
	Northwest()   // Don't let them move diagnolly. Funky stuff happens when they can.
		return
	Northeast()
		return
	Southwest()
		return
	Southeast()
		return
	North()
		usr.jump()  // Whenever they hit North, make them jump (below).
	East()
		if(usr.nomove == 0||usr.nomove == null)
			if(usr.lock == 1)    // The reason for the lock var is to prevent what some call "drunk movement" in delayed movement.
				return
			usr.lock = 1
			if(usr.icon_state == "right")
				step(usr,EAST)
			if(usr.icon_state == "left")   // If they're not faced right, face right.
				usr.icon_state = "right"
			sleep(1)
			usr.lock = 0
			return
	West()
		if(usr.nomove == 0||usr.nomove == null)
			if(usr.lock == 1)
				return
			usr.lock = 1
			if(usr.icon_state == "left")   // If they're already faced left, move left.

				step(usr,WEST)
			if(usr.icon_state == "right")  // If they're not faced left, face left.
				usr.icon_state = "left"
			sleep(1)
			usr.lock = 0
			return

area
	BG        // The background. The world is sorta missing something without it.
		icon = 'steelBG.dmi'
turf
	quiz
		quiz1
			name = "Anime Offensive"
			density = 0
			icon = 'turfs.dmi'
			icon_state = "gravityenter"
			Enter()
				usr.nomove = 1
				alert("Dragon Ball Quiz Time!  Answer it right to move on!  IF you choose wrong, you will be sent back a level!")
				alert("Quiz 1")
				switch(alert(usr,"What character sacraficed his life during the battle with Nappa?","Quiz 1","Goku","Vegeta", "Piccolo"))
					if("Piccolo")
						alert("Ding Ding!  CORRECT!  Move on!")
						usr.loc = locate(7,2,3)
						usr.nomove = 0
					else
						usr.nomove = 0
						alert("Wrong!  You have been sent back to Level 2 as penalty!")
						usr.loc = locate(2,2,2)
		quiz2
			name = "Anime Offensive"
			density = 0
			icon = 'turfs.dmi'
			icon_state = "gravityenter"
			Enter()
				usr.nomove = 1
				alert("Quiz 2")
				switch(alert(usr,"What form was Majin Buu in when he came out of his egg/shell?","Quiz 2","Punk Form","Kid Form", "Fat Form"))
					if("Fat Form")
						alert("Ding Ding!  CORRECT!  Move on!")
						usr.loc = locate(15,2,3)
						usr.nomove = 0
					else
						usr.nomove = 0
						alert("Wrong!  You have been sent back to Level 2 as penalty!")
						usr.loc = locate(2,2,2)
		quiz3
			name = "Anime Offensive"
			density = 0
			icon = 'turfs.dmi'
			icon_state = "gravityenter"
			Enter()
				usr.nomove = 1
				alert("Quiz 3")
				switch(alert(usr,"Who is the creator of Dragon Ball and Dragon Ball Z?  He also did some work with 'Chrono Trigger', 'Dragon Warrior', 'Tobal' and other games! Who is it?","Quiz 3","Nobuo Uematsu","Akira Toryama", "Hajime Hatate"))
					if("Akira Toryama")
						alert("Ding Ding!  CORRECT!  Move on!")
						usr.loc = locate(19,2,3)
						usr.nomove = 0
					else
						usr.nomove = 0
						alert("Wrong!  You have been sent back to Level 2 as penalty!")
						usr.loc = locate(2,2,2)
		quiz4
			name = "Anime Offensive"
			density = 0
			icon = 'turfs.dmi'
			icon_state = "gravityenter"
			Enter()
				usr.nomove = 1
				alert("Quiz 4")
				switch(alert(usr,"Which Dragon Ball show is the real one?","Quiz 4","Dragon Ball GT","Dragon Ball AF ", "Dragon Ball R.ez"))
					if("Dragon Ball GT")
						alert("Ding Ding!  CORRECT!  You may not precede to the next level!")
						usr.loc = locate(24,2,3)
						usr.nomove = 0
					else
						usr.nomove = 0
						alert("WRONG!  You have been sent back to the start as penalty!")
						usr.loc = locate(2,2,3)
		quizsnowz
			quiz1
				name = "Anime Offensive"
				density = 0
				icon = 'turfs.dmi'
				icon_state = "gravityenter"
				Enter()
					usr.nomove = 1
					alert("Quiz 1")
					switch(alert(usr,"What is Goku's real name?","Quiz 1","Eh?","What?!", "Joe"))
						if("Eh?")
							alert("Ding Ding!  CORRECT!  You may not precede to the next level!")
							usr.loc = locate(10,2,11)
							usr.nomove = 0
						if("What?!")
							alert("Ding Ding!  CORRECT!  You may not precede to the next level!")
							usr.loc = locate(10,2,11)
							usr.nomove = 0
						else
							usr.nomove = 0
							alert("WRONG!  You have been sent back to the start as penalty!")
							usr.loc = locate(2,2,11)
			quiz2
				name = "Anime Offensive"
				density = 0
				icon = 'turfs.dmi'
				icon_state = "gravityenter"
				Enter()
					usr.nomove = 1
					alert("Quiz 2")
					switch(alert(usr,"What was the first DBZ game on BYOND?","Quiz 2","Dragon Ball Epic Online","DBZ-SPAR", "DBZ:NN"))
						if("Dragon Ball Epic Online")
							alert("Ding Ding!  CORRECT!  You may not precede to the next level!")
							usr.loc = locate(44,2,11)
							usr.nomove = 0

						else
							usr.nomove = 0
							alert("WRONG!  You have been sent back to the start as penalty!")
							usr.loc = locate(2,2,11)
turf
	teleporters
		to2
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 1 Level 2...")
					usr.loc = locate(2,2,2)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0

		to3
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					usr.y = usr.y - 1
					alert("Entering World 1 Level 3...")
					usr.loc = locate(2,2,3)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to4
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 1 Level 4...")
					usr.loc = locate(2,2,4)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to5
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 2 Level 1...")
					usr.loc = locate(2,2,5)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to6
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 2 Level 2...")
					usr.loc = locate(2,2,6)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0

		to7
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 2 Level 3...")
					usr.loc = locate(2,2,7)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0

		to8
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 2 Level 4...")
					usr.loc = locate(2,2,8)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to9
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 2 Level 5...")
					usr.loc = locate(2,2,9)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to10
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 3 Level 1...")
					usr.loc = locate(2,2,10)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to11
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 3 Level 2...")
					usr.loc = locate(2,2,11)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to12
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 3 Level 3...")
					usr.loc = locate(2,2,12)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
		to13
			name = "Anime Offensive"
			density = 0
			Enter()
				if(usr.hoho == 0||usr.hoho == null)
					usr.x = usr.x - 1
					alert("Entering World 3 Level 4...")
					usr.loc = locate(2,2,13)
					usr.hoho = 1
					sleep(30)
					usr.hoho = 0
turf
	grass
		density = 1
		name = "Anime Offensive"
		icon = 'grass.dmi'
	snow
		density = 1
		name = "Anime Offensive"
		icon = 'turfs.dmi'
		icon_state = "snow"

	void
		density = 1
		name = "Anime Offensive"
		icon = 'void.dmi'
	icecube
		density = 1
		icon = 'turfs.dmi'
		name = "Anime Offensive"
		icon_state = "icecube"
	icecubebackground
		density = 0
		icon = 'turfs.dmi'
		name = "Anime Offensive"
		icon_state = "icecube"
	stonez
		density = 1
		icon = 'grass.dmi'
		name = "Anime Offensive"
		icon_state = "2"
	stonesbackground
		density = 0
		icon = 'turfs.dmi'
		name = "Anime Offensive"
		icon_state = "stones"
	stones2
		density = 1
		icon = 'turfs.dmi'
		name = "Anime Offensive"
		icon_state = "stones"
	cliff
		density = 1
		icon = 'grass.dmi'
		icon_state = "3"
		name = "Anime Offensive"
	cliffbackground
		density = 0
		icon = 'grass.dmi'
		icon_state = "3"
		name = "Anime Offensive"
	sand
		density = 1
		icon = 'grass.dmi'
		icon_state = "sandy"
		name = "Anime Offensive"
	sandbackground
		density = 0
		icon = 'grass.dmi'
		icon_state = "sandy"
		name = "Anime Offensive"
	waterlevel4
		density = 0
		icon = 'turfs.dmi'
		icon_state = "water"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,4)
	waterlevel8
		density = 0
		icon = 'turfs.dmi'
		icon_state = "water"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,8)
	icewaterlevel9
		density = 0
		icon = 'steelBG.dmi'
		icon_state = "icewater"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,9)
	icewaterlevel10
		density = 0
		icon = 'steelBG.dmi'
		icon_state = "icewater"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,10)
	icewaterlevel11
		density = 0
		icon = 'steelBG.dmi'
		icon_state = "icewater"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,11)
	icewaterlevel12
		density = 0
		icon = 'steelBG.dmi'
		icon_state = "icewater"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,12)
	lavalevel5
		density = 0
		icon = 'turfs.dmi'
		icon_state = "lava"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,5)
	lavalevel6
		density = 0
		icon = 'turfs.dmi'
		icon_state = "lava"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,6)
	lavalevel7
		density = 0
		icon = 'turfs.dmi'
		icon_state = "lava"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,7)
	lavalevel9
		density = 0
		icon = 'turfs.dmi'
		icon_state = "lava"
		name = "Anime Offensive"
		Enter()
			usr.y = usr.y + 1
			usr << "Ouch!"
			usr.loc = locate(2,2,9)
	waterfall
		density = 1
		icon = 'turfs.dmi'
		icon_state = "waterfall"
		name = "Anime Offensive"
	waterfallbackground
		density = 0
		icon = 'turfs.dmi'
		icon_state = "waterfall"
		name = "Anime Offensive"

mob
	var/jumping = 0   // The jumping var is used solely for disabling gravity while jumping.
	var/lock = 0      // lock, used for keeping away "drunk movement" in delayed movement.
	var/life = 10
	var/delay = 5
	var/delay_time
	Stat()
		statpanel("[src]")
		stat("Life", src.life)
		stat(src)
	Login()
		src.loc = locate(2, 2, 1)
		spawn(gravity) src.GravCheck()   // Start the gravity.
		..()
	Logout()
		del(src)
		..()
	Move(A, B)
		if(B == WEST)
			src.icon_state = "left"     // Since we're not using movement states,
		if(B == EAST)                   // we need to remember to re-set the icon states upon movement.
			src.icon_state = "right"
		..()
	Bump(M)
		if((get_dir(src, M) == NORTH))   // This is so you'll fall if you bumped your head.
			// If hitting your head is meant to do something, put that here.
			src.jumping = 0

	proc
		jump()        // jump, used for projecting yourself into the air, for your own reasons.
			if(src.jumping == 1)   // You can't jump if you're already jumping.
				return
			var/turf/aturf = locate(src.x, src.y-1, src.z)  // Get the turf directly below you.
			var/dense = 0
			if(aturf)
				for(var/atom/A in aturf)
					if(A.density == 1)
						dense = 1
						break
				if(aturf.density == 1)
					dense = 1
			// Those few lines above are used to make sure you're on something dense. You can't jump if you're falling.
			if(!aturf)
				dense = 1
			if(dense == 1)    // If they're on something...
				src.jumping = 1
				for(var/I = 0, I < (gravity * 1.5), I++)    // This is a traditional for loop that loops until I(init 0) is equal to gravity times 1.5.
					spawn()
						if(src.loc != null)
							step(src, NORTH)
					sleep(gravity)
					if(src.jumping == 0)
						break
				src.jumping = 0
				spawn(gravity) src.GravCheck()    // Spawn GravCheck again, since it probably discontinued it's loop while you were airborne.

		GravCheck()       // Your artificial gravity.
			if(src.jumping == 0)   // If they're in the process of going up, don't do the gravity thing.
				if(fall_type == 1)
					var/dense = 0
					var/turf/spot = locate(src.x, src.y-1, src.z)
					if(spot)
						for(var/atom/A in spot)
							if(A.density == 1)
								dense = 1
						if(dense == 0 && spot.density == 0)
							src.Move(locate(src.x, src.y-1, src.z))
					// The above few lines (again) are for checking if you're on something dense. If you are, there's no need to attempt going down.
					// This is merely for the CPU, it'll work without them, since a mere Bump would occur if you went South into a dense object.
				else
					src.Move(locate(src.x, src.y-1, src.z))
				spawn(gravity) src.GravCheck()   // And loop the process...